%define pgpver		0.18.0
%define with_gpgpine	1

Summary: A commonly used, MIME compliant mail and news reader.
Name: pine
Version: 4.56
Release: 1lst1

License: Freely Distributable
Url: http://www.washington.edu/pine/
Group: Applications/Internet
Source0: pine%{version}.tar.bz2
Source1: http://www.megaloman.com/~hany/_data/pinepgp/pinepgp-%{pgpver}.tar.gz
Source2: pine.conf
Source3: pine-spellcheck
Source5: flock.c
Source6: pine.conf.fixed

# FIXME: Make sure pine-4.41-redhat.patch is up to date
Patch0: pine-4.56-redhat.patch

Patch2: pine-4.04-noflock.patch
Patch3: pine-4.56-passwd.patch
Patch4: pine-4.21-fixhome.patch
Patch6: pine-4.56-krb5.patch
Patch8: imap-4.7c2-flock.patch 
Patch9: pine-4.30-ldap.patch

Patch21: pine-4.31-segfix.patch
Patch22: pine-4.40-lockfile-perm.patch

Patch30: pine-4.33-keymenu.patch
Patch31: pinepgp-0.15.3-pineconf-parse-cleanup.patch
Patch32: imap-2000-time.patch
# Do not remove this patch without checking that bugs 23679 and 38399
# _remain_ fixed.  [sic: or face the wrath of angry kernel hackers  ;o) ]
Patch33: pine-4.33-whitespace.patch

# Change PINE sendmail options to attempt to stop sendmail from logging -bs
# errors
Patch34: pine-4.33-sendmail-options.patch
Patch35: pine-4.44-multibyte.patch

# Fix bug #60818
Patch36: pine-4.44-overflow.patch
Patch37: pine-4.56-openldap.patch
Patch39: pine-4.44-multilib.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: perl, ncurses-devel

# This dep is here so pine can be built on all RHL releases without mucking
# around with the specfile.  Do NOT change this without talking to the
# package maintainer.
BuildPrereq: /usr/include/security/pam_modules.h

%{!?nossl:BuildPrereq: openssl-devel}
%{!?noldap:BuildPrereq: openldap-devel}

BuildPrereq: krb5-devel
Requires: krb5-libs

%description
Pine is a very popular, easy to use, full-featured email user agent
that includes a simple text editor called pico. Pine supports MIME
extensions and can also be used to read news. Pine also supports IMAP,
mail, and MH style folders.

%prep

%setup -q -n pine%{version} -a 1

# MAKE SURE THIS PATCH DOES NOT LEAVE JUNK FILES IN THE doc dirs
%patch0 -p1 -b .redhat-patch

# FIXME: not needed anymore?
##%patch2 -p1 -b .noflock
%{!?nokerberos:%patch6 -p1 -b .krb5-patch}
%patch4 -p1 -b .fixhome

# imap flock patch
%patch8 -p0 -b .flock-patch
cp %{SOURCE5} imap/src/osdep/unix

%patch3  -p1 -b .passwd-patch
%{?!noldap:%patch9 -p1 -b .ldap-patch }

%patch21 -p1 -b .segfix
%patch22 -p0 -b .lockfile-perm

# FIXME: Appears this patch is no longer needed in 4.40
##%patch30 -p1 -b .keymenu

%if %{with_gpgpine}
#%patch31 -p1 -b .pineconf-parsecleanup
%endif

%patch32 -p1 -b .time-h
%patch33 -p1 -b .whitespace-fix
# This patch does evil things
#%patch34 -p0 -b .sendmail-options

# Disabled multibyte patch after numerous problem reports from other users that
# it breaks normal pine/pico usage.  Will not re-enable.  Please submit
# any enhancements to PINE team for approval instead. (#58971)
#%patch35 -p1 -b .multibyte

%patch36 -p1 -b .overflow
%patch37 -p1 -b .openldap

# this wants /usr/local/bin/perl
chmod 644 contrib/utils/pwd2pine
perl -pi -e "s|/usr/local/bin/perl|/usr/bin/perl|" contrib/utils/pwd2pine

%{?!nokerberos: rm -f krb5 && mkdir krb5 && ln -s /usr/kerberos/include krb5/include && ln -s /usr/kerberos/%{_lib} krb5/lib}
%{?!nokerberos: ./contrib/krb5-setup lnp lnp}

%{?!noldap:rm -fr ldap && mkdir ldap && ln -s %{_libdir} ldap/libraries && ln -s /usr/include ldap/include}
%{?!noldap:./contrib/ldap-setup lnp lnp || true}

find -name "*.orig" -or -name "*~" | xargs rm core || :


%build
# Patch Makefile compiler optimization flags
#perl -pi -e "s/BASECFLAGS=.*$/BASECFLAGS=\"$RPM_OPT_FLAGS\"/" \
#	imap/src/osdep/unix/Makefile

# Main build script
#### Moved out of build commandline below for 4.41-1	DEBUG="" \
./build \
	OPTIMIZE="$RPM_OPT_FLAGS" \
	EXTRACFLAGS="-DIGNORE_LOCK_EACCES_ERRORS" \
%{!?nokerberos:EXTRAAUTHENTICATORS=gss} \
%{!?nossl:SPECIALAUTHENTICATORS=ssl} \
%{!?nossl:SSLTYPE=unix} \
%{!?nossl:SSLDIR=/usr} \
%{!?nossl:SSLCERTS=/usr/share/ssl} \
%{!?nossl:SSLINCLUDE=/usr/include/openssl} \
%{!?nossl:SSLLIB="-lssl -lcrypto"} \
    DEBUG="$RPM_OPT_FLAGS" \
	lrh
#            --exec_prefix=/usr \

%if %{with_gpgpine}
cd pinepgp-%{pgpver}
%configure --with-gpg=/usr/bin/gpg
make %{?_smp_mflags}
%endif

%install
# Don't remove this, problems shall arise otherwise
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/usr/doc $RPM_BUILD_ROOT%{_libdir}
install -m 755 bin/{pine,pico,pilot,rpdump,rpload} $RPM_BUILD_ROOT/usr/bin/

### PINEPGP DROPIN ###
%if %{with_gpgpine}
cd pinepgp-%{pgpver}
make install-pinegpg DESTDIR=$RPM_BUILD_ROOT
cd ..
%endif
######################

pushd doc
for n in pine.1 pico.1 pilot.1 rpdump.1 rpload.1 ; do
    install -m 644 $n $RPM_BUILD_ROOT/%{_mandir}/man1/
done
popd

mkdir -p $RPM_BUILD_ROOT/etc
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pine.conf
install -m644 %{SOURCE6} $RPM_BUILD_ROOT/etc/pine.conf.fixed
install -m755 %{SOURCE3} $RPM_BUILD_ROOT/usr/bin

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CPYRIGHT doc/*.txt doc/pine-ports doc/tech-notes/*.html
%doc doc/mailcap.unx imap/docs/bugs.txt
%{_bindir}/pine
%{_bindir}/pine-spellcheck
%{_bindir}/pico
%{_bindir}/pilot
%{_bindir}/rpdump
%{_bindir}/rpload
%{_mandir}/man1/pico.1*
%{_mandir}/man1/pine.1*
%{_mandir}/man1/pilot.1*
%{_mandir}/man1/rpdump.1*
%{_mandir}/man1/rpload.1*
%attr(0644,root,root)	%config /etc/pine.conf
%attr(0644,root,root)	%config /etc/pine.conf.fixed

%if %{with_gpgpine}
%attr(0755, root, root) %{_bindir}/pinepgpgpg-install
%attr(0755, root, root) %{_bindir}/pinegpg-install
%attr(0755, root, root) %{_bindir}/pinegpg
%attr(0755, root, root) %{_bindir}/gpg-sign
%attr(0755, root, root) %{_bindir}/gpg-sign+encrypt
%attr(0755, root, root) %{_bindir}/gpg-encrypt
%attr(0755, root, root) %{_bindir}/gpg-check
%endif


%changelog
* Fri Jul 18 2003 root <corti@.inf.ethz.ch> - 4.56-1lst1
- Updated to pine-4.56
- Removed pine-4.44-DoS-fix-for-CVE-CAN-2002-1320.patch
- Removed imap-2001a-bodystructure-extension.patc
- Updated pine-4.56-redhat.patch, pine-4.56-passwd.patch and pine-4.56-krb5.patch

* Thu Oct  3 2002 Mike A. Harris <mharris@redhat.com> 4.44-15
- Added pine-4.44-DoS-fix-for-CVE-CAN-2002-1320.patch to fix DoS issue
- Built erratum for all supported Red Hat Linux releases: 8.0=14.80.0,
  7.3==7.73.0, 7.2==1.72.1, 7.1=1.71.1, 7.0=1.70.1, 6.2=1.62.1, 2.1AS=7.21AS.0  

* Thu Oct  3 2002 Mike A. Harris <mharris@redhat.com> 4.44-14
- All-arch rebuild

* Thu Oct  3 2002 Elliot Lee <sopwith@redhat.com> 4.44-13hammer
- multilib fixes for hammer

* Sun Sep  1 2002 Mike A. Harris <mharris@redhat.com> 4.44-13
- Added imap-2001a-bodystructure-extension.patch to fix bug (#73177)

* Tue Aug 27 2002 Mike A. Harris <mharris@redhat.com> 4.44-12
- rebuild

* Fri Jul 26 2002 Mike A. Harris <mharris@redhat.com> 4.44-11
- Added patch to hopefully fix openldap support in pine.  Openldap 2.1
  has an API change which causes this breakage (#66995)

* Sun May 26 2002 Tim Powers <timp@redhat.com> 4.44-10
- automated rebuild

* Wed May 22 2002 Mike A. Harris <mharris@redhat.com> 4.44-9
- Removed crap files from documentation directories (#61028)

* Tue May 21 2002 Mike A. Harris <mharris@redhat.com> 4.44-8
- Rebuild in new environment

* Wed Apr 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 4.44-7
- Fix bug #60818
- stop excluding alpha

* Sun Mar 17 2002 Mike A. Harris <mharris@redhat.com> 4.44-6
- Disabled the multibyte patch as it breaks wordwrap and possibly other
  things.  This should have went through the PINE team instead.
- Removed conditionalization on krb-libs requirement, as it appears it
  should be needed everywhere currently.

* Tue Feb 26 2002 Mike A. Harris <mharris@redhat.com> 4.44-5
- Changed pam build dependancy to look for pam_modules.h instead of the
  particular package that it is in, so that I could....
- Removed Build_* specfile macros as they are no longer needed

* Mon Jan 28 2002 Mike A. Harris <mharris@redhat.com> 4.44-4
- Added multibyte patch to fix bug (#58971)

* Thu Jan 24 2002 Tim Powers <timp@redhat.com> 
- rebuilt against new openssl

* Wed Jan  9 2002 Mike A. Harris <mharris@redhat.com> 4.44-3
- Updated to pine-4.44
- Fixes bug in URL handling code
- Built pine erratum for supported Red Hat Linux releases: 1.72.0, 1.71.0,
  1.70.0, 1.62.0

* Sun Dec 23 2001 Mike A. Harris <mharris@redhat.com> 4.43-2
- Added DEBUG="-O2" to build line since not giving the DEBUG option results
  in binaries that spew out .pine-debug* files in users homedirs (#57755)
- Also built 4.43-1.7.0 for RHL 7.x

* Wed Nov 29 2001 Mike A. Harris <mharris@redhat.com> 4.43-1
- Updated to pine-4.43

* Thu Nov 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 4.42-2
- Update pinepgp to 0.17.1
- Fix up SSL (no, the 4.31 SSL patch is not obsolete)

* Wed Nov 21 2001 Mike A. Harris <mharris@redhat.com> 4.42-1
- Updated to pine-4.42

* Tue Nov 20 2001 Mike A. Harris <mharris@redhat.com> 4.41-1
- Removed DEBUG="" from "build" commandline, required to build 4.41.

* Sat Nov 17 2001 Mike A. Harris <mharris@redhat.com> 4.41-0.1
- Updated to pine-4.41, cleaned up pine-4.41-redhat.patch

* Tue Nov 13 2001 Mike A. Harris <mharris@redhat.com> 4.40-1
- Dropped support for Red Hat Linux 5.2 target from specfile
- Made "Requires: krb5-libs" conditionalized to 6.2 and 7.x builds only by
  adding Build_rawhide for rawhide, as kerberos is now all in one package.

* Thu Oct  4 2001 Mike A. Harris <mharris@redhat.com> 4.40-0.1
- Updated to pine-4.40
- Disabled pine-4.04-noflock.patch, pine-4.31-openssl.patch
  to see if it is still needed
- Updated boguswarning patch, pine-4.40-lockfile-perm.patch
- Tidied up files section with _bindir, _mandir, etc.

* Tue Sep 18 2001 Mike A. Harris <mharris@redhat.com> 4.33-16.2
- specfile change to handle pam/pam-devel package split
- Build 4.33-5.6 for RHL 5.2, 4.33-6.7 for RHL 6.2, 4.33-7.70 for RHL 7.0,
  4.33-8.71 for RHL 7.1   (erratum build for whitespace fix from -10)

* Sat Sep  8 2001 Mike A. Harris <mharris@redhat.com> 4.33-16
- Changed BuildPrereq for pam from /lib/libpam.so to pam-devel
- Changed Copyright tag to License

* Tue Aug 21 2001 Mike A. Harris <mharris@redhat.com> 4.33-15
- Reverted previous sendmail-options patch.  It worked in my personal
  testing, however Trond reports it is broken in (#52226).

* Thu Aug 16 2001 Mike A. Harris <mharris@redhat.com> 4.33-14
- Created sendmail-options patch to remove "-bs", and add "-t -oi"
  to sendmail invocation options.  This gets rid of sendmail complaints
  in maillog of "process foo invoked sendmail with -bs".

* Tue Jul 31 2001 Mike A. Harris <mharris@redhat.com> 4.33-13
- Added konqueror to list of above to prevent harm to my family  ;o)

* Tue Jul 31 2001 Mike A. Harris <mharris@redhat.com> 4.33-12
- Added new URL viewers to PINE's default configuration.  It will now use
  htmlview by default, falling back to mozilla/netscape/links/lynx/w3m in
  that order.  Inspired by RFE (#49932).
  
* Sat Jul 21 2001 Mike A. Harris <mharris@redhat.com> 4.33-11
- Added ncurses-devel as a BuildPrereq (#49555)

* Fri Jun 22 2001 Mike A. Harris <mharris@redhat.com> 4.33-10
- Added patch from David Woodhouse to fix pine whitespace bugs.  Aparently,
  this bug was fixed by the PINE team, and a prior patch dropped, and then
  the bug came back.  The bug ID's should be checked first before this patch
  is removed in the future to ensure another recurrance is avoided.

* Mon May 28 2001 Mike A. Harris <mharris@redhat.com> 4.33-9
- Made gpgpine a conditional specfile define
- Fixed broken bindir path in pinegpg-install (#37652)

* Fri Mar 16 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Thu Mar  8 2001 Mike A. Harris <mharris@redhat.com> 4.33-6
- Changed BuildPreReq of pam-devel to /lib/libpam.so, so it will build
  on Red Hat Linux 7.0 without getting nabbed on a dependancy.
- AHHH!  Fixed default color from black on cyan to white on black
  
* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Sun Feb 25 2001 Mike A. Harris <mharris@redhat.com>
- Added pam-devel as a BuildPreReq (#29426)

* Fri Feb 23 2001 Mike A. Harris <mharris@redhat.com>
- Removed color from default configuration (white on blue)

* Wed Feb 14 2001 Bill Nottingham <notting@redhat.com>
- fix build with current glibc (need both <time.h> and <sys/time.h>)

* Wed Feb 14 2001 Mike A. Harris <mharris@redhat.com>
- Disabled default configuration of gpg filters due to user security concerns
- Various default configuration enhancements

* Sat Feb 10 2001 Mike A. Harris <mharris@redhat.com>
- Added pine-4.33-keymenu.patch to fix glitch with "O" command
- Added pinepgp-0.15.3-pineconf-parse-cleanup.patch to fix a potential
  issue with pinegpg-install (Tim Waugh)

* Wed Feb 07 2001 Mike A. Harris <mharris@redhat.com>
- (#26462) Fixed pine.conf glitch with gpg and multiple recipients
- pinegpg-install didn't get installed, fixed
- Fixed pine.conf to properly call pine-spellcheck

* Tue Feb 06 2001 Mike A. Harris <mharris@redhat.com>
- Added a new spell checker wrapper script, so that one configuration works
  for all Red Hat Linux releases.  (pine-spellcheck)
- Added some files that were missing from pinepgp
- Release bumped to 4.33-1 and built.

* Mon Feb 05 2001 Mike A. Harris <mharris@redhat.com>
- Another friendly neighborhood PINE update to 4.33
	- NNTP auth causes crash
	- Attachment viewing broken
	- Display/URL viewers with quoted args broken
	- Reverse sort doesn't work correctly with filters
	- Some combos of non-ascii chars in subject causes crash
- Removed debugging flag and fixed up the CFLAGS line in 
  imap/src/osdep/unix/Makefile which caused the imap lock patch to fail
- Updated pinepgp to version 0.15.3 which includes some fixes and new
  features like allowing encryption to multiple recipients, and to self,
  etc...

* Fri Jan 19 2001 Mike A. Harris <mharris@redhat.com>
- Updated to newly released PINE 4.32 which fixes:
	- Postponing loses second reply-to address
	- Obscure crash when sorting by Threads
	- Temporary file vulnerabilities
	- Crash when NNTP authentication aborted
	- Make /secure work again (broken in 4.30)
	- Setup printer list problems with $PRINTER
	- Recognize Re[arbitrary stuff]: reply syntax
	- Allow for attaching files on a Windows network drive
- Changed to bzip2 compression for pine and pinepgp tarballs
- Built pine-4.32-1

* Sun Dec 17 2000 Mike A. Harris <mharris@redhat.com>
- Added lockfile-perm patch to remove lockfile permission vulnerability.

* Thu Dec 14 2000 Trond Eivind Glomsrd <teg@redhat.com>
- remove backup files after patching

* Tue Dec 12 2000 Mike A. Harris <mharris@redhat.com>
- Fixed typo in spec for ia64 (%elsevi)
- Changed line of perl that modifies C compiler flags during build.
- Updated openssl and segfix patches to PINE 4.31
- Removed confvar, sparc patches - not needed anymore

* Fri Dec 08 2000 Mike A. Harris <mharris@redhat.com>
- Updated to PINE version 4.31
- Created pine.conf.fixed file to simplify spec file, and changed 
  incorrect comment pointing users to a nonexistant file /usr/lib/pine.conf
- Removed pine-4.02-filter.patch as it is included in 4.31.

* Mon Nov 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- don't include /usr/lib/mime.types , the one in /etc 
  should be sufficient (#20163)

* Tue Oct 31 2000 Trond Eivind Glomsrd <teg@redhat.com>
- turn off confusing/stupid message about mail directory
  permissions (no, they shouldn't be 1777)

* Mon Oct 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- add patch to fix proper initialization of configured 
  variables (source: pine mailing list)
- set rsh-open-timeout to 0 (RFE #17577)
- fix a segfault by watching for NULLs 
- add proper initialiazation of pine, as we don't have DEBUG
  enabled (fix from the pine mailing list) - integrate with
  above patch
- add workaround for compiler issue on sparc (from Nalin's 
  imap package) 
- don't include the contrib directory
- include the bugs.txt file, so the "we don't like self-signed 
  certificates"-approach is documented
- build lnp instead of slx

* Fri Oct 27 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 4.30, which should fix the DOS from mailicious headers
- redo a lot of patches
- remove old, now obsolete patches

* Mon Sep 25 2000 Trond Eivind Glomsrd <teg@redhat.com>
- patch to fix header vulnerability from 
  Leena Heino <liinu@uta.fi>
- implemented a nossl option

* Fri Sep 08 2000 Nalin Dahyabhai <nalin@redhat.com>
- link against libldap dynamically

* Thu Sep 07 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use /usr/bin/perl instead of /usr/bin/local/perl for
  a supplied script in the documentation
- use /usr/bin/passwd for password changes (#17328)

* Thu Aug 24 2000 Nalin Dahyabhai <nalin@redhat.com>
- use flock()-over-fcntl() locking emulation (#15779)

* Wed Aug 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- enable SSL via simap

* Mon Jul 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- don't map ctrl-d to delete, as it currently makes
  backspace work like delete

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- Rebuild in new environment (release 19)

* Mon Jun 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- Use aspell by default

* Wed Jun 14 2000 Trond Eivind Glomsrd <teg@redhat.com>
- New patch to make it compile with new glibc.

* Thu Jun 08 2000 Trond Eivind Glomsrd <teg@redhat.com>
- remove applnk entry
- use %%{_mandir} and %%{_tmppath}

* Wed May 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- reverse sense of enabling kerberos support
- make ldap support optional, though it's built statically

* Fri May  5 2000 Bill Nottingham <notting@redhat.com>
- work around a compiler bug on ia64

* Thu May 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- enable the 8-bit options by default (esmtp and nntp)
- use ISO-8859-1 as default character set instead of
  US-ASCII
- map delete to ctrl-d

* Thu Apr 27 2000 Trond Eivind Glomsrd <teg@redhat.com>
- update pinepgp to 0.13.1
- don't apply the maildir patches, as they can make pine
  crash if it finds recusive symlinks (bug #9736)

* Tue Apr 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- remove bogus entry from pine.conf

* Tue Apr  4 2000 Bill Nottingham <notting@redhat.com>
- eliminate explicit krb5-configs dependency

* Fri Mar 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with current ncurses
- add gnupg support

* Tue Mar 07 2000 Preston Brown <pbrown@redhat.com>
- fix home key in pico/pine

* Wed Mar  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- make kerberos support conditional at build-time
- remove build prereq krb5-devel

* Wed Mar  1 2000 Bill Nottingham <notting@redhat.com>
- integrate kerberos support into main tree

* Fri Feb 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- add GSS authenticator
- BuildPrereq: krb5-devel

* Thu Feb 17 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix up maildir patch (Bug #6002)
- BuildPrereq: openldap-devel

* Thu Feb 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed

* Fri Jan 21 2000 Preston Brown <pbrown@redhat.com>
- remove enable mouse in xterm config setting.

* Wed Nov 24 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 4.21
- remove ioctl patch, it's no longer necessary

* Tue Nov  2 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Provide a more reasonable /etc/pine.conf, allowing stuff like
  tab completion, full header command, ...
- handle RPM_OPT_FLAGS

* Wed Oct 13 1999 Preston Brown <pbrown@redhat.com>
- pine 4.20, updated glibc and maildir patches

* Thu Aug 12 1999 Cristian Gafton <gafton@redhat.com>
- add maildir patch

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Feb 26 1999 Cristian Gafton <gafton@redhat.com>
- fix buildroot and add cleanup section
- move config files to /etc/pine.conf

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- turned off .pine-debugX files

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Fri Nov 13 1998 Cristian Gafton <gafton@redhat.com>
- patch to enable SIGWINCH processing (why do the pine folks keep 
  disabling this stuff?!)

* Fri Oct 09 1998 Cristian Gafton <gafton@redhat.com>
- use termios instead of termio (patch used to be in here...)
- use terminfo instead of termcap and link against ncurses instead of termcap
- supply -lcrypt as a standard lib

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 4.04 (compatibility with some client imaps).

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- use only fcntl locking.

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.03

* Fri Aug 14 1998 Jeff Johnson <jbj@redhat.com>
- patch to 4.02A.
- disable stupid EACCESS warnings.

* Wed Jul 22 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.02.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jan 15 1998 Erik Troan <ewt@redhat.com>
- added patch to fix pine filters

* Tue Dec 30 1997 Erik Troan <ewt@redhat.com>
- fixed resizing in pine and pico

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- removed patch for SIGCHLD race -- it shouldn't be necessary
- added patch to avoid longjmp() from SIGCHLD handler -- SIGCHLD handling
  is sane now

* Thu Dec 11 1997 Cristian Gafton <gafton@redhat.com>
- added a patch for handling a SIGCHLD race condition

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- fix for locks w/ long st_dev field
- use termios rather then termio

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- removed exec bit from /usr/doc/pine-3.96-1/contrib/utils/pwd2pine
